package TTXPreview;
#
# This module is a part of Trouble Ticket Express package
# http://www.troubleticketexpress.com
#
# COPYRIGHT: 2006-2008, United Web Coders
# http://www.unitedwebcoders.com
#
# $Revision: 683 $
# $Date: 2009-03-04 12:32:06 +0300 (Wed, 04 Mar 2009) $
#

$TTXPreview::VERSION='3.0';
BEGIN {
  $TTXPreview::REVISION = '$Revision: 683 $';
  if ($TTXPreview::REVISION =~ /(\d+)/) {
    $TTXPreview::REVISION = $1;
  }
};
use strict;
use TTXCommon;
require TTXMarkup;

# ======================================================================== print
sub preview {
  my ($cfg, $query, $data) = @_;
  $data->{PAGEHEADING} = '[%Message Preview%]';
  my $body = TTXCommon::cleanit($query, 'msg',1);
  $body =~ s/</&lt;/g;
  $body = TTXMarkup::html($body);
  $body =~ s/\n/<br>\n/g;
  $data->{MESSAGE} = $body;
  return undef;
}
1;
#
