package TTXImage;
#
# This module is a part of Trouble Ticket Express package
# http://www.troubleticketexpress.com
#
# COPYRIGHT: 2006-2008, United Web Coders
# http://www.unitedwebcoders.com
#
# $Revision: 765 $
# $Date: 2010-03-16 12:25:34 -0400 (Tue, 16 Mar 2010) $
#

$TTXImage::VERSION='3.01';
BEGIN {
  $TTXImage::REVISION = '$Revision: 765 $';
  if ($TTXImage::REVISION =~ /(\d+)/) {
    $TTXImage::REVISION = $1;
  }
};

use strict;
use TTXData;

my %imgtypes = (
  gif => 'gif',
  jpg => 'jpeg',
  tiff => 'tiff',
  tif => 'tiff',
  png => 'png',
  bmp => 'bmp'
);

# ========================================================================= show

sub show {
  my $fid = shift;
  my $gid = shift;
  my $dir = TTXData::get('CONFIG')->get('basedir')."/files";
  if (($fid !~ /^\d+-\d+-\d+-\d+\.dat$/) || (!open(F, "$dir/$fid"))) {
    return;
  }
  $gid = $imgtypes{lc $gid};
  print "Content-Type:image/$gid\n\n";
  binmode(F);
  my $buff;
  while (read(F, $buff,1024)) {
     print $buff;
  }
  close F;
}
1;
